List payment method configurations

List payment method configurations

Responses
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/v1/payment-configs
curl https://api.paypercut.io/v1/payment-configs \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "items": [
    {
      "id": "string",
      "name": "string",
      "description": "string",
      "version": "string",
      "payment_methods": [
        {
          "active": true,
          "name": "string"
        }
      ],
      "setup": {
        "capture_mode": "MANUAL",
        "usage": "RECURRING",
        "authorization_type": "PRE_AUTH",
        "pre_authorization_type": "INCREMENTAL",
        "maximum_auth_amounts": [
          {
            "currencyCode": "string",
            "amount": 100
          }
        ],
        "threeds": {
          "triggerType": "STATIC"
        },
        "wallets": [
          "string"
        ],
        "statement_descriptor": "string"
      }
    }
  ],
  "last_key": "eyJsYXN0SWQiOiIzMTIxMDI2MWJjYzMzMDExYzVkMTE0ZTIwMTMiLCJ0dGwiOiIxNzU0MjIwODczIn0="
}